X2Go Bug report logs - #956
gnome-terminal closes right after start

Package: libnx-x11; Maintainer for libnx-x11 is X2Go Developers <x2go-dev@lists.x2go.org>; Source for libnx-x11 is src:nx-libs.

Reported by: Summer Matthias <matthias.summer@adcubum.com>

Date: Mon, 12 Oct 2015 07:35:02 UTC

Severity: normal

Tags: patch

Merged with 878, 900

Forwarded to https://github.com/ArcticaProject/nx-libs/issues/82

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#956; Package x2go-client. (Mon, 12 Oct 2015 07:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Summer Matthias <matthias.summer@adcubum.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Mon, 12 Oct 2015 07:35:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Summer Matthias <matthias.summer@adcubum.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: gnome-terminal closes right after start
Date: Mon, 12 Oct 2015 07:01:15 +0000
[Message part 1 (text/plain, inline)]
Package: x2go-client
Version: 4.0.5.0

When useing gnome-terminal as an application to start a session, gnome-terminal pops up and close right after start.

Logentry in /var/log/messages:

Oct 12 08:53:49 adzh-srlp-en14 /usr/bin/x2gostartagent: successfully started X2Go agent session with ID msummer-53-1444632828_stRgnome-terminal_dp32
Oct 12 08:53:54 adzh-srlp-en14 /usr/bin/x2gomountdirs[12498]: successfully mounted MSummer@127.0.0.1:30014/cygdrive/C/Users/MSummer/X2GO~1/S-MSUM~2/spool to /tmp/.x2go-msummer/spool/C-msummer-53-1444632828_stRgnome-terminal_dp32
Oct 12 08:53:56 adzh-srlp-en14 /usr/bin/x2gosetkeyboard: Setting X keyboard according to /home/msummer/.x2go/C-msummer-53-1444632828_stRgnome-terminal_dp32/keyboard
Oct 12 08:53:57 adzh-srlp-en14 /usr/bin/x2goumount-session[12770]: successfully unmounted "/tmp/.x2go-msummer/spool/C-msummer-53-1444632828_stRgnome-terminal_dp32"

On serverside we run RHEL 7.1, x2goserver-4.0.1.19-1.el7.x86_64 and x2goagent-3.5.0.29-1.el7.x86_64.

Matthias Summer
Senior System Engineer
-------------------------------------------------
Adcubum AG
Zürcherstrasse 464
CH-9015 St. Gallen

Zentrale         +41 58 411 66 66
Direktwahl      +41 58 411 68 13
Mobile           +41 79 101 35 58
matthias.summer@adcubum.com<mailto:matthias.summer@adcubum.com>
www.adcubum.com<http://www.adcubum.com/>

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#956; Package x2go-client. (Mon, 12 Oct 2015 11:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 12 Oct 2015 11:10:02 GMT) Full text and rfc822 format available.

Message #10 received at 956@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 956@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#956: gnome-terminal closes right after start
Date: Mon, 12 Oct 2015 13:03:25 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Is this gnome-terminal 3.16, by any chance?

If yes, then this is a duplicate of Bug #878:

http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=878

Kind Regards,
Stefan Baur

- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJWG5N9AAoJEG7d9BjNvlEZPJ4IAIeuqE8Xu1BNK1xct2P9HHXV
+NVcmxOtY7MdjjFnVLmVwhWgvUgU2QzgWtvetB0me/uc7T0hE/Ow7vlssRICm94h
JB6Qg6Tnc1TbiaoxWVuA2UcXtL1HaDDBDWsZ0CgsNRB4byU/kmwBzH+CXnqunsIr
kkPEOdDGpqkvqos5rsIwVIFRC6qX69X2Z3BlxnXaiJfX+VfbvhwqfGPU8x4b/PW2
CSSAJCXUH21SVVyLwyl7Mi7yIVMHL+HhQqYBNsGQbkXh4AGg9iUHTxQ6a1nxne1b
illLrsoj5UoWNvhsrgVcrUF9EE69XeURNMY9WeN+cLCu1h93TO7KEgp7vDNc1Vs=
=JBm+
-----END PGP SIGNATURE-----


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#956; Package x2go-client. (Tue, 13 Oct 2015 07:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Summer Matthias <matthias.summer@adcubum.com>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 13 Oct 2015 07:30:02 GMT) Full text and rfc822 format available.

Message #15 received at 956@bugs.x2go.org (full text, mbox):

From: Summer Matthias <matthias.summer@adcubum.com>
To: "956@bugs.x2go.org" <956@bugs.x2go.org>
Subject: AW: [X2Go-Dev] Bug#956: Bug#956: gnome-terminal closes right after start
Date: Tue, 13 Oct 2015 06:52:18 +0000
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
> 
> Is this gnome-terminal 3.16, by any chance?

We are running gnome 3.8.1.

> 
> If yes, then this is a duplicate of Bug #878:
> 
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=878
> 

Look's like the same bug.

> Kind Regards,
> Stefan Baur

Kind Regrads
Matthias Summer


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#956; Package x2go-client. (Thu, 15 Oct 2015 11:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 15 Oct 2015 11:45:02 GMT) Full text and rfc822 format available.

Message #20 received at 956@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Summer Matthias <matthias.summer@adcubum.com>, 956@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#956: AW: Bug#956: Bug#956: gnome-terminal closes right after start
Date: Thu, 15 Oct 2015 13:35:31 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Am 13.10.2015 um 08:52 schrieb Summer Matthias:

>> If yes, then this is a duplicate of Bug #878:
>> 
>> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=878

> Look's like the same bug.

Merged accordingly.
Note that we are assuming you are only running into this issue when
choosing single-application mode.

Please try the following workaround:
Choose "Published Applications"
- ->Start gnome-terminal from there.

If this fixes the issue for you, you can run gnome-terminal
automatically right after logging in to your PubApp session by using
the --autostart parameter:
- --autostart=<app> 	 launch "app" by session start in "published
applications" mode

Please let us know whether this helps or not.

Kind Regards,
Stefan Baur


- -- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQEcBAEBCAAGBQJWH4+DAAoJEG7d9BjNvlEZvK8H/RYlXZ0Q9gjXeUEhJlYDGB1Y
1Qw15y7T3EC0swdu/2wVPd+4r98BobZ0g+qPBADrw80pwEVExsJahQuVzt+X+toN
0hDUtfDk4K/N4A9Z6yS0xHYTXDqOiWgqQsakDAEHnUDseY7G6+TtO4TXnbMdhEn9
YpUdTLXfhxpgTwpZXkvxfH/bXElvLzVivGwxAyPNOY63bMXwEgluuYHywBm9cNql
EtL2feT6sSQibKblPw6RMZ8iuGFTX632/+hmqB078BKc7pMngCr3EdJAs4sNYn8o
AwYzwK6kwfq2eULE6HJXY6IaRzOXNR29CwwUozfDukfsIU6IfmeepoD/eR7RlQ8=
=v/Wn
-----END PGP SIGNATURE-----


Bug reassigned from package 'x2go-client' to 'nx-libs'. Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Thu, 15 Oct 2015 11:50:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.5.0. Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Thu, 15 Oct 2015 11:50:02 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.31. Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Thu, 15 Oct 2015 11:50:02 GMT) Full text and rfc822 format available.

Merged 878 956 Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to control@bugs.x2go.org. (Thu, 15 Oct 2015 11:50:02 GMT) Full text and rfc822 format available.

Merged 878 956 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 07 Nov 2015 15:55:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'nx-libs' to 'libnx-x11'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 878-submit@bugs.x2go.org. (Wed, 24 Feb 2016 14:08:22 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.5.0.31. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 878-submit@bugs.x2go.org. (Wed, 24 Feb 2016 14:08:22 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 878-submit@bugs.x2go.org. (Wed, 24 Feb 2016 14:08:22 GMT) Full text and rfc822 format available.

Merged 878 900 956 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 878-submit@bugs.x2go.org. (Wed, 24 Feb 2016 14:08:22 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/issues/82'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 29 Feb 2016 09:15:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 15:24:49 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.